NAMED-XFER(8)

NAME
named-xfer - ancillary agent for inbound zone transfers

SYNOPSIS
named-xfer -z zone_to_transfer -f db_file -s serial_no [ -d debuglevel ] [ -l debug_log_file ] [ -t trace_file ] [ -p port# ] [ -S ] nameserver

DESCRIPTION
Named-xfer is an ancillary program executed by named(8) to perform an inbound zone transfer. It is rarely executed directly, and only by system administrators who are trying to debug a zone transfer problem. See RFC's 1033, 1034, and 1035 for more information on the Internet name-domain system.

Options are:

-z  specifies the name of the zone to be transferred.

-f  specifies the name of the file into which the zone should be dumped when it is received from the primary server.

-s  specifies the serial number of our current copy of this zone. If the SOA RR we get from the primary server does not have a serial number higher than this, the transfer will be aborted.

-d  Print debugging information. A number after the ``d'' determines the level of messages printed.

-l  Specifies a log file for debugging messages. The default is system- dependent but is usually in /var/tmp or /usr/tmp. Note that this only applies if -d is also specified.

-t  Specifies a trace file which will contain a protocol trace of the zone transfer. This is probably only of interest to people debugging the name server itself.

-p  Use a different port number. The default is the standard port number as returned by getservbyname(3) for service ``domain''.

-S  Perform a restricted transfer of only the SOA, NS records and glue A records for the zone. The SOA record will not be loaded by named but will be used to determine when to verify the NS records. See the ``stubs'' directive in named(8) for more information.

Additional arguments are taken as name server addresses in so-called ``dotted-quad'' syntax only; no host name are allowed here. At least one address must be specified. Any additional addresses will be tried in order if the first one fails to transfer to us successfully.

SEE ALSO
named(8), resolver(3), resolver(5), hostname(7), RFC 882, RFC 883, RFC 973, RFC 974, RFC 1033, RFC 1034, RFC 1035, RFC 1123, Name Server Operations Guide for BIND